Bug 26703 - Modify the "title" elements to contain unique information first
Summary: Modify the "title" elements to contain unique information first
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement with 5 votes (vote)
Assignee: wainuiwitikapark
QA Contact: Testopia
URL: https://wiki.koha-community.org/wiki/...
Keywords: accessibility
: 27743 (view as bug list)
Depends on:
Blocks:
 
Reported: 2020-10-16 06:03 UTC by Martin Renvoize
Modified: 2021-05-19 13:14 UTC (History)
11 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Title elements should contain unique information first. This aids accessibility for all as browser titles become much more relevant and useful for navigation.
Version(s) released in:
21.05.00


Attachments
Bug 26703: changed page titles - unique info first (24.62 KB, patch)
2021-03-08 02:37 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: changed page titles - unique info first (55.24 KB, patch)
2021-03-08 03:29 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: changed page titles - unique info first (9.51 KB, patch)
2021-03-08 03:36 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: changed page titles - unique info first (10.70 KB, patch)
2021-03-08 03:43 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: changed page titles - unique info first (19.81 KB, patch)
2021-03-08 03:53 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: changed page titles - unique info first (16.36 KB, patch)
2021-03-08 04:01 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: changed page titles - unique info first (10.47 KB, patch)
2021-03-08 04:08 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: changed page titles - unique info first (5.18 KB, patch)
2021-03-08 04:12 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: changed page titles - unique info first (10.04 KB, patch)
2021-03-08 04:16 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: changed page titles - unique info first (18.04 KB, patch)
2021-03-08 04:23 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: changed page titles - unique info first (6.62 KB, patch)
2021-03-08 04:33 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: changed page titles - unique info first (9.38 KB, patch)
2021-03-08 04:39 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: changed page titles - unique info first (4.67 KB, patch)
2021-03-08 04:52 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: changed page titles - unique info first (16.26 KB, patch)
2021-03-08 08:46 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: changed page titles - unique info first (6.01 KB, patch)
2021-03-08 08:51 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: changed page titles - unique info first (15.96 KB, patch)
2021-03-08 08:54 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: changed page titles - unique info first (3.71 KB, patch)
2021-03-08 08:58 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: changed page titles - unique info first (23.76 KB, patch)
2021-03-08 09:06 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: changed page titles - unique info first (3.98 KB, patch)
2021-03-08 09:11 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: modules and modules/acqui folders (24.53 KB, patch)
2021-03-09 21:29 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: admin folder (55.17 KB, patch)
2021-03-09 21:39 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: authorities, basket and batch folders (9.42 KB, patch)
2021-03-09 21:40 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: catalogue folder (10.63 KB, patch)
2021-03-09 21:41 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: cataloguing folder (19.74 KB, patch)
2021-03-09 21:43 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: circ folder (16.29 KB, patch)
2021-03-09 21:44 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: clubs, common & course_reserves folders (10.38 KB, patch)
2021-03-09 21:45 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: errors, ill and installer folders (5.10 KB, patch)
2021-03-09 21:46 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: labels folder (9.97 KB, patch)
2021-03-09 21:46 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: members folder (17.97 KB, patch)
2021-03-09 21:46 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: offline_circ and onboarding folders (6.54 KB, patch)
2021-03-09 21:47 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: patroncards and patron_lists folders (9.30 KB, patch)
2021-03-09 21:47 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: plugins and pos folders (4.59 KB, patch)
2021-03-09 21:47 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: reports folder (16.19 KB, patch)
2021-03-09 21:48 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: reserve, reviews & rotating_collections folders (5.92 KB, patch)
2021-03-09 21:48 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: serials folder (15.88 KB, patch)
2021-03-09 21:49 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: suggestion and tags folders (3.64 KB, patch)
2021-03-09 21:49 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: tools folder (23.69 KB, patch)
2021-03-09 21:49 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: virtualshelves folder (3.91 KB, patch)
2021-03-09 21:50 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: modules and modules/acqui folders (24.34 KB, patch)
2021-03-10 16:36 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: admin folder (54.92 KB, patch)
2021-03-10 16:36 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: authorities, basket and batch folders (9.39 KB, patch)
2021-03-10 16:36 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: catalogue folder (10.59 KB, patch)
2021-03-10 16:36 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: cataloguing folder (19.60 KB, patch)
2021-03-10 16:36 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: circ folder (16.18 KB, patch)
2021-03-10 16:36 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: clubs, common & course_reserves folders (10.34 KB, patch)
2021-03-10 16:36 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: errors, ill and installer folders (5.16 KB, patch)
2021-03-10 16:36 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: labels folder (9.95 KB, patch)
2021-03-10 16:36 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: members folder (17.85 KB, patch)
2021-03-10 16:36 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: offline_circ and onboarding folders (6.55 KB, patch)
2021-03-10 16:37 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: patroncards and patron_lists folders (9.29 KB, patch)
2021-03-10 16:37 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: plugins and pos folders (4.62 KB, patch)
2021-03-10 16:37 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: reports folder (16.16 KB, patch)
2021-03-10 16:37 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: reserve, reviews & rotating_collections folders (5.94 KB, patch)
2021-03-10 16:37 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: serials folder (15.78 KB, patch)
2021-03-10 16:37 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: suggestion and tags folders (3.68 KB, patch)
2021-03-10 16:37 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: tools folder (23.50 KB, patch)
2021-03-10 16:37 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: virtualshelves folder (3.94 KB, patch)
2021-03-10 16:37 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: (follow-up) Reverse title for mana report search results (1.31 KB, patch)
2021-03-10 16:37 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: modules and modules/acqui folders (24.34 KB, patch)
2021-04-15 16:01 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: admin folder (54.92 KB, patch)
2021-04-15 16:01 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: authorities, basket and batch folders (9.39 KB, patch)
2021-04-15 16:01 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: catalogue folder (10.59 KB, patch)
2021-04-15 16:02 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: cataloguing folder (19.83 KB, patch)
2021-04-15 16:02 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: circ folder (16.18 KB, patch)
2021-04-15 16:02 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: clubs, common & course_reserves folders (10.34 KB, patch)
2021-04-15 16:02 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: errors, ill and installer folders (5.16 KB, patch)
2021-04-15 16:02 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: labels folder (10.18 KB, patch)
2021-04-15 16:02 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: members folder (17.88 KB, patch)
2021-04-15 16:02 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: offline_circ and onboarding folders (6.55 KB, patch)
2021-04-15 16:02 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: patroncards and patron_lists folders (9.29 KB, patch)
2021-04-15 16:02 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: plugins and pos folders (4.62 KB, patch)
2021-04-15 16:02 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: reports folder (16.16 KB, patch)
2021-04-15 16:03 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: reserve, reviews & rotating_collections folders (5.94 KB, patch)
2021-04-15 16:03 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: serials folder (15.94 KB, patch)
2021-04-15 16:03 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: suggestion and tags folders (3.68 KB, patch)
2021-04-15 16:03 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: tools folder (23.62 KB, patch)
2021-04-15 16:03 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: virtualshelves folder (3.94 KB, patch)
2021-04-15 16:03 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: (follow-up) Reverse title for mana report search results (1.11 KB, patch)
2021-04-15 16:03 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26703: (follow-up) corrected aqbudgets title (1.80 KB, patch)
2021-04-18 09:32 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: (follow-up) corrected currencies title (1.88 KB, patch)
2021-04-18 09:47 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: modules and modules/acqui folders (24.65 KB, patch)
2021-04-20 08:53 UTC, Henry Bolshaw
Details | Diff | Splinter Review
Bug 26703: admin folder (55.28 KB, patch)
2021-04-20 08:53 UTC, Henry Bolshaw
Details | Diff | Splinter Review
Bug 26703: authorities, basket and batch folders (9.54 KB, patch)
2021-04-20 08:53 UTC, Henry Bolshaw
Details | Diff | Splinter Review
Bug 26703: catalogue folder (10.75 KB, patch)
2021-04-20 08:53 UTC, Henry Bolshaw
Details | Diff | Splinter Review
Bug 26703: cataloguing folder (20.08 KB, patch)
2021-04-20 08:53 UTC, Henry Bolshaw
Details | Diff | Splinter Review
Bug 26703: circ folder (16.40 KB, patch)
2021-04-20 08:53 UTC, Henry Bolshaw
Details | Diff | Splinter Review
Bug 26703: clubs, common & course_reserves folders (10.50 KB, patch)
2021-04-20 08:54 UTC, Henry Bolshaw
Details | Diff | Splinter Review
Bug 26703: errors, ill and installer folders (5.22 KB, patch)
2021-04-20 08:54 UTC, Henry Bolshaw
Details | Diff | Splinter Review
Bug 26703: labels folder (10.32 KB, patch)
2021-04-20 08:54 UTC, Henry Bolshaw
Details | Diff | Splinter Review
Bug 26703: members folder (18.11 KB, patch)
2021-04-20 08:54 UTC, Henry Bolshaw
Details | Diff | Splinter Review
Bug 26703: offline_circ and onboarding folders (6.66 KB, patch)
2021-04-20 08:54 UTC, Henry Bolshaw
Details | Diff | Splinter Review
Bug 26703: patroncards and patron_lists folders (9.42 KB, patch)
2021-04-20 08:54 UTC, Henry Bolshaw
Details | Diff | Splinter Review
Bug 26703: plugins and pos folders (4.70 KB, patch)
2021-04-20 08:54 UTC, Henry Bolshaw
Details | Diff | Splinter Review
Bug 26703: reports folder (16.31 KB, patch)
2021-04-20 08:54 UTC, Henry Bolshaw
Details | Diff | Splinter Review
Bug 26703: reserve, reviews & rotating_collections folders (6.04 KB, patch)
2021-04-20 08:55 UTC, Henry Bolshaw
Details | Diff | Splinter Review
Bug 26703: serials folder (16.16 KB, patch)
2021-04-20 08:55 UTC, Henry Bolshaw
Details | Diff | Splinter Review
Bug 26703: suggestion and tags folders (3.75 KB, patch)
2021-04-20 08:55 UTC, Henry Bolshaw
Details | Diff | Splinter Review
Bug 26703: tools folder (23.92 KB, patch)
2021-04-20 08:55 UTC, Henry Bolshaw
Details | Diff | Splinter Review
Bug 26703: virtualshelves folder (4.03 KB, patch)
2021-04-20 08:55 UTC, Henry Bolshaw
Details | Diff | Splinter Review
Bug 26703: (follow-up) Reverse title for mana report search results (1.17 KB, patch)
2021-04-20 08:55 UTC, Henry Bolshaw
Details | Diff | Splinter Review
Bug 26703: (follow-up) corrected aqbudgets title (1.86 KB, patch)
2021-04-20 08:55 UTC, Henry Bolshaw
Details | Diff | Splinter Review
Bug 26703: (follow-up) corrected currencies title (1.93 KB, patch)
2021-04-20 08:56 UTC, Henry Bolshaw
Details | Diff | Splinter Review
Bug 26703: (follow-up) remove starting separator from csv profiles title (1.77 KB, patch)
2021-04-20 09:16 UTC, Henry Bolshaw
Details | Diff | Splinter Review
Bug 26703: (follow-up) remove starting separator from csv profiles title (1.83 KB, patch)
2021-04-20 09:33 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: Fix selenium tests (1.72 KB, patch)
2021-04-21 10:02 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26703: (follow-up) fixed some page titles in files (3.44 KB, patch)
2021-04-22 01:54 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 26703: (follow-up) fixed some page titles in files (3.42 KB, patch)
2021-04-22 07:10 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2020-10-16 06:03:42 UTC
Many of our <title> elements contain the whole breadcrumb path to the current page. Unfortunately this often results in a very long title which doesn't fit well in browser tab titles and sometimes is even concatenated on hover.

In a quick bit of research I did, I found that the recommendation seems to be to limit the title element to 70 characters max and to start with the most relevant information and end with the generic branding.

I'm thinking, reverse the breadcrumb, only use a couple of slots from it, then add the generic library branding after.

For example:

Edit < $reportname : Koha
$searchstring : Koha
Comment 1 Lisette Scheer 2020-10-18 20:28:40 UTC
This would also be helpful for folks who bookmark reports as a bookmark currently shows like this in my version of Koha:

Koha › Reports › Guided reports wizard › Saved reports › GHW - BORROWERS - 'VAL' borrowers with outstanding fines/fees Report

It can be edited as a bookmark (and part of it is a very long report title) but being able to strip out some of that breadcrumb and/or have the more generic parts at the end would be helpful for some staff. 

Lisette
Comment 2 David Cook 2021-01-07 00:34:27 UTC
Sounds reasonable to me, Martin
Comment 3 Michael Adamyk 2021-02-09 15:34:46 UTC
I like this idea; thanks for the bug, Martin.
Comment 4 Martin Renvoize 2021-03-04 11:14:26 UTC
*** Bug 27743 has been marked as a duplicate of this bug. ***
Comment 5 Martin Renvoize 2021-03-04 11:16:57 UTC
(In reply to wainuiwitikapark from bug #27743 comment #0)
> Koha has good and descriptive page titles, but according to
> https://www.w3.org/WAI/tips/writing/ the unique information should be first,
> before the name of the website (Koha).

Interesting, I wasn't aware there was an accessibility guideline around this too.. that adds weight to this bug even more, thanks for drawing attention to it.

I'm going to add an item to the next development meeting to get a guideline drawn up so we can start working on this without risking new cases being introduced :)
Comment 6 wainuiwitikapark 2021-03-04 20:39:07 UTC
Hi everyone! Thanks for that Martin! As I've already been working on reversing the contents of the page title, I will just finish up the patch and attach it. Then it should hopefully be a lot easier when reconstructing it to have less information in it, which could be a follow up patch.
Comment 7 Martin Renvoize 2021-03-04 21:07:57 UTC
Sounds great, I'm sure it'll be a great patch, thanks for working on it. I'm sure we'll all agree to set a guideline by it at the Dev meeting which should mean we keep up the good work going forward :)
Comment 8 wainuiwitikapark 2021-03-08 02:37:44 UTC Comment hidden (obsolete)
Comment 9 wainuiwitikapark 2021-03-08 03:29:13 UTC Comment hidden (obsolete)
Comment 10 wainuiwitikapark 2021-03-08 03:36:55 UTC Comment hidden (obsolete)
Comment 11 wainuiwitikapark 2021-03-08 03:43:12 UTC Comment hidden (obsolete)
Comment 12 wainuiwitikapark 2021-03-08 03:53:43 UTC Comment hidden (obsolete)
Comment 13 wainuiwitikapark 2021-03-08 04:01:55 UTC Comment hidden (obsolete)
Comment 14 wainuiwitikapark 2021-03-08 04:08:17 UTC Comment hidden (obsolete)
Comment 15 wainuiwitikapark 2021-03-08 04:12:58 UTC Comment hidden (obsolete)
Comment 16 wainuiwitikapark 2021-03-08 04:16:47 UTC Comment hidden (obsolete)
Comment 17 wainuiwitikapark 2021-03-08 04:23:47 UTC Comment hidden (obsolete)
Comment 18 wainuiwitikapark 2021-03-08 04:33:20 UTC Comment hidden (obsolete)
Comment 19 wainuiwitikapark 2021-03-08 04:39:25 UTC Comment hidden (obsolete)
Comment 20 wainuiwitikapark 2021-03-08 04:52:39 UTC Comment hidden (obsolete)
Comment 21 wainuiwitikapark 2021-03-08 08:46:27 UTC Comment hidden (obsolete)
Comment 22 wainuiwitikapark 2021-03-08 08:51:08 UTC Comment hidden (obsolete)
Comment 23 wainuiwitikapark 2021-03-08 08:54:09 UTC Comment hidden (obsolete)
Comment 24 wainuiwitikapark 2021-03-08 08:58:07 UTC Comment hidden (obsolete)
Comment 25 wainuiwitikapark 2021-03-08 09:06:23 UTC Comment hidden (obsolete)
Comment 26 wainuiwitikapark 2021-03-08 09:11:46 UTC Comment hidden (obsolete)
Comment 27 Martin Renvoize 2021-03-09 08:35:30 UTC
Hmm, something funny is going on here.

It looks to me like lots patches, but each one has the same commit title and as such git bz has replaced the previous versions as opposed to attached them all as current.

Perhaps try a rebase on your branch and add the directory you went through for each patch to the commit title?

so

Bug 26704: Changes page titles, unique info first - /admin
Comment 28 Martin Renvoize 2021-03-09 08:35:55 UTC
Or something along those lines to prevent bugzilla confusing them?
Comment 29 wainuiwitikapark 2021-03-09 20:37:19 UTC
(In reply to Martin Renvoize from comment #27)
> Hmm, something funny is going on here.
> 
> It looks to me like lots patches, but each one has the same commit title and
> as such git bz has replaced the previous versions as opposed to attached
> them all as current.
> 
> Perhaps try a rebase on your branch and add the directory you went through
> for each patch to the commit title?
> 
> so
> 
> Bug 26704: Changes page titles, unique info first - /admin

Oh my goodness, silly me! Thank you and will get on to that soon.
Comment 30 wainuiwitikapark 2021-03-09 21:29:52 UTC Comment hidden (obsolete)
Comment 31 wainuiwitikapark 2021-03-09 21:39:54 UTC Comment hidden (obsolete)
Comment 32 wainuiwitikapark 2021-03-09 21:40:43 UTC Comment hidden (obsolete)
Comment 33 wainuiwitikapark 2021-03-09 21:41:23 UTC Comment hidden (obsolete)
Comment 34 wainuiwitikapark 2021-03-09 21:43:43 UTC Comment hidden (obsolete)
Comment 35 wainuiwitikapark 2021-03-09 21:44:53 UTC Comment hidden (obsolete)
Comment 36 wainuiwitikapark 2021-03-09 21:45:41 UTC Comment hidden (obsolete)
Comment 37 wainuiwitikapark 2021-03-09 21:46:07 UTC Comment hidden (obsolete)
Comment 38 wainuiwitikapark 2021-03-09 21:46:29 UTC Comment hidden (obsolete)
Comment 39 wainuiwitikapark 2021-03-09 21:46:50 UTC Comment hidden (obsolete)
Comment 40 wainuiwitikapark 2021-03-09 21:47:13 UTC Comment hidden (obsolete)
Comment 41 wainuiwitikapark 2021-03-09 21:47:36 UTC Comment hidden (obsolete)
Comment 42 wainuiwitikapark 2021-03-09 21:47:57 UTC Comment hidden (obsolete)
Comment 43 wainuiwitikapark 2021-03-09 21:48:19 UTC Comment hidden (obsolete)
Comment 44 wainuiwitikapark 2021-03-09 21:48:57 UTC Comment hidden (obsolete)
Comment 45 wainuiwitikapark 2021-03-09 21:49:20 UTC Comment hidden (obsolete)
Comment 46 wainuiwitikapark 2021-03-09 21:49:38 UTC Comment hidden (obsolete)
Comment 47 wainuiwitikapark 2021-03-09 21:49:59 UTC Comment hidden (obsolete)
Comment 48 wainuiwitikapark 2021-03-09 21:50:24 UTC Comment hidden (obsolete)
Comment 49 wainuiwitikapark 2021-03-09 21:53:32 UTC
(In reply to Martin Renvoize from comment #27)
> Hmm, something funny is going on here.
> 
> It looks to me like lots patches, but each one has the same commit title and
> as such git bz has replaced the previous versions as opposed to attached
> them all as current.
> 
> Perhaps try a rebase on your branch and add the directory you went through
> for each patch to the commit title?
> 
> so
> 
> Bug 26704: Changes page titles, unique info first - /admin

All done! Thanks again
Comment 50 Martin Renvoize 2021-03-10 16:01:26 UTC
Nice one.. I'll get to testing asap
Comment 51 Martin Renvoize 2021-03-10 16:36:20 UTC Comment hidden (obsolete)
Comment 52 Martin Renvoize 2021-03-10 16:36:24 UTC Comment hidden (obsolete)
Comment 53 Martin Renvoize 2021-03-10 16:36:28 UTC Comment hidden (obsolete)
Comment 54 Martin Renvoize 2021-03-10 16:36:32 UTC Comment hidden (obsolete)
Comment 55 Martin Renvoize 2021-03-10 16:36:36 UTC Comment hidden (obsolete)
Comment 56 Martin Renvoize 2021-03-10 16:36:40 UTC Comment hidden (obsolete)
Comment 57 Martin Renvoize 2021-03-10 16:36:44 UTC Comment hidden (obsolete)
Comment 58 Martin Renvoize 2021-03-10 16:36:48 UTC Comment hidden (obsolete)
Comment 59 Martin Renvoize 2021-03-10 16:36:52 UTC Comment hidden (obsolete)
Comment 60 Martin Renvoize 2021-03-10 16:36:56 UTC Comment hidden (obsolete)
Comment 61 Martin Renvoize 2021-03-10 16:37:00 UTC Comment hidden (obsolete)
Comment 62 Martin Renvoize 2021-03-10 16:37:04 UTC Comment hidden (obsolete)
Comment 63 Martin Renvoize 2021-03-10 16:37:08 UTC Comment hidden (obsolete)
Comment 64 Martin Renvoize 2021-03-10 16:37:12 UTC Comment hidden (obsolete)
Comment 65 Martin Renvoize 2021-03-10 16:37:16 UTC Comment hidden (obsolete)
Comment 66 Martin Renvoize 2021-03-10 16:37:20 UTC Comment hidden (obsolete)
Comment 67 Martin Renvoize 2021-03-10 16:37:24 UTC Comment hidden (obsolete)
Comment 68 Martin Renvoize 2021-03-10 16:37:29 UTC Comment hidden (obsolete)
Comment 69 Martin Renvoize 2021-03-10 16:37:33 UTC Comment hidden (obsolete)
Comment 70 Martin Renvoize 2021-03-10 16:37:36 UTC Comment hidden (obsolete)
Comment 71 Martin Renvoize 2021-03-10 16:37:59 UTC
This is looking great.. singing off!
Comment 72 Martin Renvoize 2021-03-10 16:38:45 UTC
The new guideline is ready for review.. I've kept it deliberately sparse for now focusing only on the 'Unique element first' aspect.. we can add the '70 character only' best practice later if we want to:

https://wiki.koha-community.org/wiki/Coding_Guidelines#ACC3:_Title_elements_should_contain_unique_information_information_first
Comment 73 wainuiwitikapark 2021-03-10 20:57:14 UTC
(In reply to Martin Renvoize from comment #71)
> This is looking great.. singing off!

Awesome! Thanks heaps!!
Comment 74 wainuiwitikapark 2021-03-10 20:58:06 UTC
(In reply to Martin Renvoize from comment #72)
> The new guideline is ready for review.. I've kept it deliberately sparse for
> now focusing only on the 'Unique element first' aspect.. we can add the '70
> character only' best practice later if we want to:
> 
> https://wiki.koha-community.org/wiki/Coding_Guidelines#ACC3:
> _Title_elements_should_contain_unique_information_information_first

Thanks! That looks great!
Comment 75 Martin Renvoize 2021-04-15 13:46:38 UTC
Hmm, I didn't expect this to sit so long after my SO... if anyone wants to test this then we could convert my SO to a QA stamp.. I'd like for that second set of eyes to make sure I've not missed anything, but in general, the coding is all sound in my opinion.. it just needs a final check to make sure no cases are missed.
Comment 76 Henry Bolshaw 2021-04-15 13:51:58 UTC
I'll have a go at testing.
Comment 77 Martin Renvoize 2021-04-15 16:01:45 UTC Comment hidden (obsolete)
Comment 78 Martin Renvoize 2021-04-15 16:01:50 UTC Comment hidden (obsolete)
Comment 79 Martin Renvoize 2021-04-15 16:01:57 UTC Comment hidden (obsolete)
Comment 80 Martin Renvoize 2021-04-15 16:02:03 UTC Comment hidden (obsolete)
Comment 81 Martin Renvoize 2021-04-15 16:02:10 UTC Comment hidden (obsolete)
Comment 82 Martin Renvoize 2021-04-15 16:02:18 UTC Comment hidden (obsolete)
Comment 83 Martin Renvoize 2021-04-15 16:02:23 UTC Comment hidden (obsolete)
Comment 84 Martin Renvoize 2021-04-15 16:02:29 UTC Comment hidden (obsolete)
Comment 85 Martin Renvoize 2021-04-15 16:02:36 UTC Comment hidden (obsolete)
Comment 86 Martin Renvoize 2021-04-15 16:02:42 UTC Comment hidden (obsolete)
Comment 87 Martin Renvoize 2021-04-15 16:02:47 UTC Comment hidden (obsolete)
Comment 88 Martin Renvoize 2021-04-15 16:02:53 UTC Comment hidden (obsolete)
Comment 89 Martin Renvoize 2021-04-15 16:02:58 UTC Comment hidden (obsolete)
Comment 90 Martin Renvoize 2021-04-15 16:03:03 UTC Comment hidden (obsolete)
Comment 91 Martin Renvoize 2021-04-15 16:03:08 UTC Comment hidden (obsolete)
Comment 92 Martin Renvoize 2021-04-15 16:03:14 UTC Comment hidden (obsolete)
Comment 93 Martin Renvoize 2021-04-15 16:03:21 UTC Comment hidden (obsolete)
Comment 94 Martin Renvoize 2021-04-15 16:03:28 UTC Comment hidden (obsolete)
Comment 95 Martin Renvoize 2021-04-15 16:03:33 UTC Comment hidden (obsolete)
Comment 96 Martin Renvoize 2021-04-15 16:03:38 UTC Comment hidden (obsolete)
Comment 97 Martin Renvoize 2021-04-15 16:04:15 UTC
Rebased for bugs 28037 and 27846 which have both now been pushed to master.
Comment 98 Henry Bolshaw 2021-04-15 22:26:20 UTC
Wainui and Martin, most of these all look great but I think there are two minor outstanding issues:

1) I'm getting an error page when I click on Budgets or Funds (koha/admin/aqbudgets.pl)

This is the error message:

"Template process failed: file error - parse error - /kohadevbox/koha/koha-tmpl/intranet-tmpl/prog/en/modules/admin/aqbudgets.tt line 8: unexpected token (END)
  [% END %] at /kohadevbox/koha/C4/Templates.pm line 122"

I think there's something wrong with the title field in aqbudgets.tt:

 <title>[% IF ( budget_id ) %]Modify fund[% IF ( budget_name ) %] '[% budget_name | html %]'[% END %][% ELSE %]Add fund [% END %][    % END %] &rsaquo; Funds[% IF op == 'add_form' %] &rsaquo; Administration &rsaquo; Koha</title>

Should it look something like this instead? 

<title>[% IF op == 'add_form' %][% IF ( budget_id ) %]Modify fund[% IF ( budget_name ) %] '[% budget_name | html %]'[% END %][% ELSE %]Add fund[% END %][% END %]&rsaquo; Funds &rsaquo; Administration &rsaquo; Koha</title>

2) There's a typo in the the currency.pl title

I think it should be "Currencies › Currencies & Exchange rates › Administration › Koha" rather than 
"Currencies › Exchange rates › Currencies & Administration › Koha"
Comment 99 wainuiwitikapark 2021-04-18 09:32:59 UTC Comment hidden (obsolete)
Comment 100 wainuiwitikapark 2021-04-18 09:47:57 UTC Comment hidden (obsolete)
Comment 101 wainuiwitikapark 2021-04-18 09:49:33 UTC
(In reply to Henry Bolshaw from comment #98)
> Wainui and Martin, most of these all look great but I think there are two
> minor outstanding issues:
> 
> 1) I'm getting an error page when I click on Budgets or Funds
> (koha/admin/aqbudgets.pl)
> 
> This is the error message:
> 
> "Template process failed: file error - parse error -
> /kohadevbox/koha/koha-tmpl/intranet-tmpl/prog/en/modules/admin/aqbudgets.tt
> line 8: unexpected token (END)
>   [% END %] at /kohadevbox/koha/C4/Templates.pm line 122"
> 
> I think there's something wrong with the title field in aqbudgets.tt:
> 
>  <title>[% IF ( budget_id ) %]Modify fund[% IF ( budget_name ) %] '[%
> budget_name | html %]'[% END %][% ELSE %]Add fund [% END %][    % END %]
> &rsaquo; Funds[% IF op == 'add_form' %] &rsaquo; Administration &rsaquo;
> Koha</title>
> 
> Should it look something like this instead? 
> 
> <title>[% IF op == 'add_form' %][% IF ( budget_id ) %]Modify fund[% IF (
> budget_name ) %] '[% budget_name | html %]'[% END %][% ELSE %]Add fund[% END
> %][% END %]&rsaquo; Funds &rsaquo; Administration &rsaquo; Koha</title>
> 
> 2) There's a typo in the the currency.pl title
> 
> I think it should be "Currencies › Currencies & Exchange rates ›
> Administration › Koha" rather than 
> "Currencies › Exchange rates › Currencies & Administration › Koha"

Hi Henry! Thanks so much for pointing these out. I have added 2 follow-up patches to correct these.
Comment 102 Henry Bolshaw 2021-04-20 08:53:27 UTC
Created attachment 119873 [details] [review]
Bug 26703: modules and modules/acqui folders

Swapped the order of the page titles to have the unique information first, i.e. the name of the specific page displays first, and the name of the website (e.g. Koha) displays at the end.

To test:
1) Apply patch
2) Ensure each of the files in the modules folder and the modules/acqui folder are swapped around to display the most unique information first, and the website name is at the end
3) Ensure the pages displayed on the Staff Client that correspond to
these files also display the changes

Sponsored-by: Catalyst IT
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Henry Bolshaw <bolshawh@parliament.uk>
Comment 103 Henry Bolshaw 2021-04-20 08:53:34 UTC
Created attachment 119874 [details] [review]
Bug 26703: admin folder

Swapped the order of the page titles to have the unique information
first, i.e. the name of the specific page displays first, and the name of the website (e.g. Koha) displays at the end.

To test:
1) Apply patch
2) Ensure each of the files in the admin folder are swapped around to display the most unique information first, and the website name is at the end
3) Ensure the pages displayed on the Staff Client that correspond to these files also display the changes

Sponsored-by: Catalyst IT
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Henry Bolshaw <bolshawh@parliament.uk>
Comment 104 Henry Bolshaw 2021-04-20 08:53:39 UTC
Created attachment 119875 [details] [review]
Bug 26703: authorities, basket and batch folders

Swapped the order of the page titles to have the unique information
first, i.e. the name of the specific page displays first, and the name of the website (e.g. Koha) displays at the end.

To test:
1) Apply patch
2) Ensure each of the files in the authorities, basket and batch folders are swapped around to display the most unique information first, and the website name is at the end
3) Ensure the pages displayed on the Staff Client that correspond to these files also display the changes

Sponsored-by: Catalyst IT
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Henry Bolshaw <bolshawh@parliament.uk>
Comment 105 Henry Bolshaw 2021-04-20 08:53:45 UTC
Created attachment 119876 [details] [review]
Bug 26703: catalogue folder

Swapped the order of the page titles to have the unique information
first, i.e. the name of the specific page displays first, and the name of the website (e.g. Koha) displays at the end.

To test:
1) Apply patch
2) Ensure each of the files in the catalogue folder are swapped around to display the most unique information first, and the website name is at the end
3) Ensure the pages displayed on the Staff Client that correspond to
these files also display the changes

Sponsored-by: Catalyst IT
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Henry Bolshaw <bolshawh@parliament.uk>
Comment 106 Henry Bolshaw 2021-04-20 08:53:51 UTC
Created attachment 119877 [details] [review]
Bug 26703: cataloguing folder

Swapped the order of the page titles to have the unique information
first, i.e. the name of the specific page displays first, and the name of the website (e.g. Koha) displays at the end.

To test:
1) Apply patch
2) Ensure each of the files in the cataloguing folder are swapped around to display the most unique information first, and the website name is at the end
3) Ensure the pages displayed on the Staff Client that correspond to
these files also display the changes

Sponsored-by: Catalyst IT
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Henry Bolshaw <bolshawh@parliament.uk>
Comment 107 Henry Bolshaw 2021-04-20 08:53:57 UTC
Created attachment 119878 [details] [review]
Bug 26703: circ folder

Swapped the order of the page titles to have the unique information
first, i.e. the name of the specific page displays first, and the name of the website (e.g. Koha) displays at the end.

To test:
1) Apply patch
2) Ensure each of the files in the circ folder are swapped around
to display the most unique information first, and the website name is at the end
3) Ensure the pages displayed on the Staff Client that correspond to
these files also display the changes

Sponsored-by: Catalyst IT
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Henry Bolshaw <bolshawh@parliament.uk>
Comment 108 Henry Bolshaw 2021-04-20 08:54:03 UTC
Created attachment 119879 [details] [review]
Bug 26703: clubs, common & course_reserves folders

Swapped the order of the page titles to have the unique information
first, i.e. the name of the specific page displays first, and the name of the website (e.g. Koha) displays at the end.

To test:
1) Apply patch
2) Ensure each of the files in the clubs, common and course_reserves folders are swapped around to display the most unique information first, and the website name is at the end
3) Ensure the pages displayed on the Staff Client that correspond to
these files also display the changes

Sponsored-by: Catalyst IT
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Henry Bolshaw <bolshawh@parliament.uk>
Comment 109 Henry Bolshaw 2021-04-20 08:54:09 UTC
Created attachment 119880 [details] [review]
Bug 26703: errors, ill and installer folders

Swapped the order of the page titles to have the unique information
first, i.e. the name of the specific page displays first, and the name of the website (e.g. Koha) displays at the end.

To test:
1) Apply patch
2) Ensure each of the files in the errors, ill and installer folders are swapped around to display the most unique information first, and the website name is at the end
3) Ensure the pages displayed on the Staff Client that correspond to
these files also display the changes

Sponsored-by: Catalyst IT
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Henry Bolshaw <bolshawh@parliament.uk>
Comment 110 Henry Bolshaw 2021-04-20 08:54:15 UTC
Created attachment 119881 [details] [review]
Bug 26703: labels folder

Swapped the order of the page titles to have the unique information
first, i.e. the name of the specific page displays first, and the name of the website (e.g. Koha) displays at the end.

To test:
1) Apply patch
2) Ensure each of the files in the labels folder are swapped around
to display the most unique information first, and the website name is at the end
3) Ensure the pages displayed on the Staff Client that correspond to
these files also display the changes

Sponsored-by: Catalyst IT
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Henry Bolshaw <bolshawh@parliament.uk>
Comment 111 Henry Bolshaw 2021-04-20 08:54:25 UTC
Created attachment 119882 [details] [review]
Bug 26703: members folder

Swapped the order of the page titles to have the unique information
first, i.e. the name of the specific page displays first, and the name of the website (e.g. Koha) displays at the end.

To test:
1) Apply patch
2) Ensure each of the files in the members folder are swapped around
to display the most unique information first, and the website name is at the end
3) Ensure the pages displayed on the Staff Client that correspond to
these files also display the changes

Sponsored-by: Catalyst IT
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Henry Bolshaw <bolshawh@parliament.uk>
Comment 112 Henry Bolshaw 2021-04-20 08:54:33 UTC
Created attachment 119883 [details] [review]
Bug 26703: offline_circ and onboarding folders

Swapped the order of the page titles to have the unique information
first, i.e. the name of the specific page displays first, and the name of the website (e.g. Koha) displays at the end.

To test:
1) Apply patch
2) Ensure each of the files in the offline_circ and onboarding folders are swapped around to display the most unique information first, and the website name is at the end
3) Ensure the pages displayed on the Staff Client that correspond to
these files also display the changes

Sponsored-by: Catalyst IT
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Henry Bolshaw <bolshawh@parliament.uk>
Comment 113 Henry Bolshaw 2021-04-20 08:54:40 UTC
Created attachment 119884 [details] [review]
Bug 26703: patroncards and patron_lists folders

Swapped the order of the page titles to have the unique information
first, i.e. the name of the specific page displays first, and the name of the website (e.g. Koha) displays at the end.

To test:
1) Apply patch
2) Ensure each of the files in the patroncards and patron_lists folders are swapped around to display the most unique information first, and the website name is at the end
3) Ensure the pages displayed on the Staff Client that correspond to
these files also display the changes

Sponsored-by: Catalyst IT
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Henry Bolshaw <bolshawh@parliament.uk>
Comment 114 Henry Bolshaw 2021-04-20 08:54:48 UTC
Created attachment 119885 [details] [review]
Bug 26703: plugins and pos folders

Swapped the order of the page titles to have the unique information
first, i.e. the name of the specific page displays first, and the name of the website (e.g. Koha) displays at the end.

To test:
1) Apply patch
2) Ensure each of the files in the plugins and pos folders are swapped around to display the most unique information first, and the website name is at the end
3) Ensure the pages displayed on the Staff Client that correspond to
these files also display the changes

Sponsored-by: Catalyst IT
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Henry Bolshaw <bolshawh@parliament.uk>
Comment 115 Henry Bolshaw 2021-04-20 08:54:56 UTC
Created attachment 119886 [details] [review]
Bug 26703: reports folder

Swapped the order of the page titles to have the unique information
first, i.e. the name of the specific page displays first, and the name of the website (e.g. Koha) displays at the end.

To test:
1) Apply patch
2) Ensure each of the files in the reports folder are swapped around
to display the most unique information first, and the website name is at the end
3) Ensure the pages displayed on the Staff Client that correspond to
these files also display the changes

Sponsored-by: Catalyst IT
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Henry Bolshaw <bolshawh@parliament.uk>
Comment 116 Henry Bolshaw 2021-04-20 08:55:05 UTC
Created attachment 119887 [details] [review]
Bug 26703: reserve, reviews & rotating_collections folders

Swapped the order of the page titles to have the unique information
first, i.e. the name of the specific page displays first, and the name of the website (e.g. Koha) displays at the end.

To test:
1) Apply patch
2) Ensure each of the files in the reserve, reviews and rotating_collections folders are swapped around to display the most unique information first, and the website name is at the end
3) Ensure the pages displayed on the Staff Client that correspond to
these files also display the changes

Sponsored-by: Catalyst IT
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Henry Bolshaw <bolshawh@parliament.uk>
Comment 117 Henry Bolshaw 2021-04-20 08:55:14 UTC
Created attachment 119888 [details] [review]
Bug 26703: serials folder

Swapped the order of the page titles to have the unique information
first, i.e. the name of the specific page displays first, and the name of the website (e.g. Koha) displays at the end.

To test:
1) Apply patch
2) Ensure each of the files in the serials folder are swapped around
to display the most unique information first, and the website name is at the end
3) Ensure the pages displayed on the Staff Client that correspond to
these files also display the changes

Sponsored-by: Catalyst IT
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Henry Bolshaw <bolshawh@parliament.uk>
Comment 118 Henry Bolshaw 2021-04-20 08:55:22 UTC
Created attachment 119889 [details] [review]
Bug 26703: suggestion and tags folders

Swapped the order of the page titles to have the unique information
first, i.e. the name of the specific page displays first, and the name of the website (e.g. Koha) displays at the end.

To test:
1) Apply patch
2) Ensure each of the files in the suggestion and tags folders are swapped around to display the most unique information first, and the website name is at the end
3) Ensure the pages displayed on the Staff Client that correspond to
these files also display the changes

Sponsored-by: Catalyst IT
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Henry Bolshaw <bolshawh@parliament.uk>
Comment 119 Henry Bolshaw 2021-04-20 08:55:30 UTC
Created attachment 119890 [details] [review]
Bug 26703: tools folder

Swapped the order of the page titles to have the unique information
first, i.e. the name of the specific page displays first, and the name of the website (e.g. Koha) displays at the end.

To test:
1) Apply patch
2) Ensure each of the files in the tools folder are swapped around
to display the most unique information first, and the website name is at the end
3) Ensure the pages displayed on the Staff Client that correspond to
these files also display the changes

Sponsored-by: Catalyst IT
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Henry Bolshaw <bolshawh@parliament.uk>
Comment 120 Henry Bolshaw 2021-04-20 08:55:40 UTC
Created attachment 119891 [details] [review]
Bug 26703: virtualshelves folder

Swapped the order of the page titles to have the unique information
first, i.e. the name of the specific page displays first, and the name of the website (e.g. Koha) displays at the end.

To test:
1) Apply patch
2) Ensure each of the files in the virtualshelves folder are swapped around to display the most unique information first, and the website name is at the end
3) Ensure the pages displayed on the Staff Client that correspond to
these files also display the changes

Sponsored-by: Catalyst IT
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Henry Bolshaw <bolshawh@parliament.uk>
Comment 121 Henry Bolshaw 2021-04-20 08:55:48 UTC
Created attachment 119892 [details] [review]
Bug 26703: (follow-up) Reverse title for mana report search results

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Henry Bolshaw <bolshawh@parliament.uk>
Comment 122 Henry Bolshaw 2021-04-20 08:55:54 UTC
Created attachment 119893 [details] [review]
Bug 26703: (follow-up) corrected aqbudgets title

Corrected the admin/aqbudgets file so that the page title displays
correctly.

To test:
1) Go to staff client
2) Go to admins module
3) Go to aqbudgets page
4) Check that the page title is "Funds > Administration > Koha"
5) Check that when modifying a fund the page title is "Modify Fund > Funds > Administration > Koha" or "Modify Fund [Fund Name] > Funds > Administration > Koha"
6) Check that when adding a fund the page title is "Add Fund > Funds > Administration > Koha"

Sponsored-by: Catalyst IT

Signed-off-by: Henry Bolshaw <bolshawh@parliament.uk>
Comment 123 Henry Bolshaw 2021-04-20 08:56:00 UTC
Created attachment 119894 [details] [review]
Bug 26703: (follow-up) corrected currencies title

Corrected the page title in the admin/currency file.

To test:
1) Go to staff client
2) Go to admin/currency
3) Check that the page title is "Currencies > Currencies & Exchange rates > Administration > Koha"
4) Check that when adding a currency, the page title is "New currency > Currencies & Exchange rates > Administration > Koha"
5) Check that when modifying a currency, the page title is "Modify currency '[Currency name]' > Currencies & Exchange rates > Administration > Koha"
6) Check that when deleting a currency, the page title is "Confirm deletion of currency '[Currency name]' > Currencies & Exchange rates > Administration > Koha"

Sponsored-by: Catalyst IT

Signed-off-by: Henry Bolshaw <bolshawh@parliament.uk>
Comment 124 Henry Bolshaw 2021-04-20 09:16:46 UTC
Created attachment 119895 [details] [review]
Bug 26703: (follow-up) remove starting separator from csv profiles title

Rearranged the separators in the csv profiles page title to match other page title formats.

To test:
1) Go to the staff client
2) Go to the CSV profiles page in the Tools module
3) Check that the page title is "CSV export profiles › Tools › Koha"
4) Check that the page title when adding a new profile is "New CSV profile › CSV export profiles › Tools › Koha"
5) Check that the page title when editing a profile is "Modify a CSV profile › CSV export profiles › Tools › Koha"

Signed-off-by: Henry Bolshaw <bolshawh@parliament.uk>
Comment 125 Henry Bolshaw 2021-04-20 09:27:44 UTC
Hi Wainui and Martin, I've signed off all of the patches now. (Great work Wainui! The testing took a long time so I can only imagine how long it took to fix everything!)

I noticed that there was an extra '›' at the start of the CSV profiles page title so I've added a trivial follow up patch  to fix that. I've left the status at needs signoff because that patch hasn't been checked.
Comment 126 wainuiwitikapark 2021-04-20 09:33:42 UTC
Created attachment 119897 [details] [review]
Bug 26703: (follow-up) remove starting separator from csv profiles title

Rearranged the separators in the csv profiles page title to match other page title formats.

To test:
1) Go to the staff client
2) Go to the CSV profiles page in the Tools module
3) Check that the page title is "CSV export profiles › Tools › Koha"
4) Check that the page title when adding a new profile is "New CSV profile › CSV export profiles › Tools › Koha"
5) Check that the page title when editing a profile is "Modify a CSV profile › CSV export profiles › Tools › Koha"

Signed-off-by: Henry Bolshaw <bolshawh@parliament.uk>
Signed-off-by: Wainui Witika-Park <wainuiwitikapark@catalyst.net.nz>
Comment 127 wainuiwitikapark 2021-04-20 09:34:56 UTC
(In reply to Henry Bolshaw from comment #125)
> Hi Wainui and Martin, I've signed off all of the patches now. (Great work
> Wainui! The testing took a long time so I can only imagine how long it took
> to fix everything!)
> 
> I noticed that there was an extra '›' at the start of the CSV profiles page
> title so I've added a trivial follow up patch  to fix that. I've left the
> status at needs signoff because that patch hasn't been checked.

Hi Henry! Thanks so much, that's awesome!

I've signed off your patch, thanks heaps for that!
Comment 128 Martin Renvoize 2021-04-20 11:54:08 UTC
I've given the whole patchset another run-through and am happy to call PQA on it.. Great teamwork at the end there fixing up the last few minor points.

Thanks everyone.
Comment 129 Jonathan Druart 2021-04-21 09:36:49 UTC
QA test added
https://gitlab.com/koha-community/qa-test-tools/-/issues/50

commit 4fbb3e2389aef8d2adda943671500685d19309ea

    Issue #50 - Title elements must start with the unique information

    See bug 26703 https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=26703

    This is not optimal as we won't catch:
    """
    <title>
        Koha
    """
    But it's a start
Comment 130 Jonathan Druart 2021-04-21 09:39:37 UTC
What about those ones?

koha-tmpl/intranet-tmpl/prog/en/modules/admin/transfer_limits.tt:<title>Koha &rsaquo; Administration &rsaquo; Library checkin and transfer policy</title>                                                         

koha-tmpl/intranet-tmpl/prog/en/modules/auth.tt:<title>Koha &rsaquo;

koha-tmpl/intranet-tmpl/prog/en/modules/circ/transfers_to_send.tt:<title>Koha &rsaquo; Circulation &rsaquo; Transfers to send</title>
Comment 131 Jonathan Druart 2021-04-21 10:02:35 UTC
Created attachment 119940 [details] [review]
Bug 26703: Fix selenium tests
Comment 132 Jonathan Druart 2021-04-21 13:28:49 UTC
I will push the whole patch set, please follow-up here if you agree with comment 130.
Comment 133 Jonathan Druart 2021-04-21 13:29:55 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 134 wainuiwitikapark 2021-04-22 01:54:13 UTC
Created attachment 119982 [details] [review]
Bug 26703: (follow-up) fixed some page titles in files

Swapped the order of the page titles to have the unique information
first, i.e. the name of the specific page displays first, and the name
of the website (e.g. Koha) displays at the end.

To test:
1) Apply patch
2) Esnure each othe files auth.tt, admin/transfer_limits.tt and
circ/transfers_to_send.tt have page titles that are swapped around to
display the most unique information first, and the wensite name is at
the end
3) Esnure the pages displayed on the Staff Client that correspond to
these files also display the changes

Sponsored-by: Catalyst IT
Comment 135 wainuiwitikapark 2021-04-22 01:55:56 UTC
(In reply to Jonathan Druart from comment #130)
> What about those ones?
> 
> koha-tmpl/intranet-tmpl/prog/en/modules/admin/transfer_limits.tt:<title>Koha
> &rsaquo; Administration &rsaquo; Library checkin and transfer policy</title>
> 
> 
> koha-tmpl/intranet-tmpl/prog/en/modules/auth.tt:<title>Koha &rsaquo;
> 
> koha-tmpl/intranet-tmpl/prog/en/modules/circ/transfers_to_send.tt:
> <title>Koha &rsaquo; Circulation &rsaquo; Transfers to send</title>

Hi Jonathan! Thanks so much for pointing these out, not sure how these were missed.

I have added a follow-up patch to amend these.
Comment 136 Jonathan Druart 2021-04-22 07:10:31 UTC
Created attachment 119983 [details] [review]
Bug 26703: (follow-up) fixed some page titles in files

Swapped the order of the page titles to have the unique information
first, i.e. the name of the specific page displays first, and the name
of the website (e.g. Koha) displays at the end.

To test:
1) Apply patch
2) Esnure each othe files auth.tt, admin/transfer_limits.tt and
circ/transfers_to_send.tt have page titles that are swapped around to
display the most unique information first, and the wensite name is at
the end
3) Esnure the pages displayed on the Staff Client that correspond to
these files also display the changes

Sponsored-by: Catalyst IT

JD amended patch: remove dup "IP address change"
Comment 137 Jonathan Druart 2021-04-22 12:43:19 UTC
Follow-up pushed to master, thanks Wainui!
Comment 138 Fridolin Somers 2021-04-29 13:05:01 UTC
Enhancement not pushed to 20.11.x